com.tibbo.aggregate.common.server

## Interface ServerConfig

-     public interface ServerConfig

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getClientEventQueueLength()`
    `int` | `getClientPort()`
    `long` | `getClusterFailureDetectionTime()`
    `java.lang.String` | `getClusterHeartbeatHelperUrls()`
    `java.lang.String` | `getClusterHeartbeatInterfaceAddress()`
    `java.lang.Integer` | `getClusterHeartbeatPort()`
    `int` | `getClusterRole()`
    `java.lang.String` | `getConfigGuiMode()`
    `java.lang.String` | `getCurrentVersion()`
    `int` | `getDatabaseBatchSize()`
    `java.lang.Integer` | `getDatabaseBinaryDataStorage()`
    `java.lang.Integer` | `getDatabaseCassandraBatchSize()`
    `java.lang.Integer` | `getDatabaseCassandraBatchSizeThreshold()`
    `java.lang.String` | `getDatabaseCassandraBinaryDataKeyspace()`
    `java.lang.String` | `getDatabaseCassandraCachesDirectory()`
    `java.lang.String` | `getDatabaseCassandraCommitlogDirectory()`
    `int` | `getDatabaseCassandraCommitlogSize()`
    `java.lang.String` | `getDatabaseCassandraConfigurationKeyspace()`
    `java.lang.String` | `getDatabaseCassandraConsistencyLevel()`
    `java.lang.String` | `getDatabaseCassandraContactPoints()`
    `java.lang.String` | `getDatabaseCassandraEventHistoryKeyspace()`
    `java.lang.String` | `getDatabaseCassandraHost()`
    `java.lang.String` | `getDatabaseCassandraInternalKeyspace()`
    `DataTable` | `getDatabaseCassandraLoadBalancing()`
    `java.lang.String` | `getDatabaseCassandraLogin()`
    `int` | `getDatabaseCassandraMutationSize()`
    `java.lang.Integer` | `getDatabaseCassandraNativePort()`
    `java.lang.String` | `getDatabaseCassandraPassword()`
    `java.lang.Integer` | `getDatabaseCassandraReadRequestTimeout()`
    `DataTable` | `getDatabaseCassandraReconnectionPolicy()`
    `java.lang.String` | `getDatabaseCassandraStatisticsKeyspace()`
    `java.lang.String` | `getDatabaseCassandraStorageDirectory()`
    `java.lang.Boolean` | `getDatabaseCassandraUseAuthentication()`
    `long` | `getDatabaseCheckoutTimeout()`
    `java.lang.Integer` | `getDatabaseConfigurationStorage()`
    `java.lang.String` | `getDatabaseDriver()`
    `java.lang.Integer` | `getDatabaseEventHistoryStorage()`
    `java.lang.Integer` | `getDatabaseEventHistoryStoragePolicy()`
    `java.lang.String` | `getDatabaseHbm2ddlAuto()`
    `java.lang.Integer` | `getDatabaseKvCacheSize()`
    `java.lang.String` | `getDatabaseKvCheckpointerActivator()`
    `java.lang.Long` | `getDatabaseKvCheckpointerWakeupInterval()`
    `java.lang.Long` | `getDatabaseKvCheckpointerWriteInterval()`
    `java.lang.String` | `getDatabaseKvCleanerActivator()`
    `java.lang.Integer` | `getDatabaseKvCleanerByteThreshold()`
    `java.lang.Integer` | `getDatabaseKvCleanerThreads()`
    `java.lang.Long` | `getDatabaseKvCleanerWakeupInterval()`
    `java.lang.String` | `getDatabaseKvClusterHelperUrl()`
    `java.lang.Integer` | `getDatabaseKvClusterPrimaryDbPort()`
    `int` | `getDatabaseKvClusterPriority()`
    `int` | `getDatabaseKvClusterRole()`
    `java.lang.Long` | `getDatabaseKvFreeDisk()`
    `java.lang.Long` | `getDatabaseKvMaxDisk()`
    `java.lang.Long` | `getDatabaseKvMaxReplicationMessageSize()`
    `java.lang.Integer` | `getDatabaseKvMinUtilization()`
    `java.lang.Long` | `getDatabaseKvTransactionsCommitInterval()`
    `java.lang.Integer` | `getDatabaseKvTransactionsCommitThreshold()`
    `int` | `getDatabaseMaximumPoolSize()`
    `int` | `getDatabaseMinimumPoolSize()`
    `java.lang.String` | `getDatabasePassword()`
    `java.lang.Integer` | `getDatabaseReplicationFactor()`
    `java.lang.String` | `getDatabaseSeeds()`
    `long` | `getDatabaseSessionTimeout()`
    `java.lang.String` | `getDatabaseSqlDialect()`
    `java.lang.Long` | `getDatabaseUnreturnedConnectionTimeout()`
    `java.lang.String` | `getDatabaseUrl()`
    `java.lang.String` | `getDatabaseUsername()`
    `int` | `getExtAlertTimers()`
    `int` | `getExtConcurrentDispatcherQueueLength()`
    `int` | `getExtCoreAsyncUpdateThreads()`
    `int` | `getExtCoreConcurrentDispatcherThreads()`
    `int` | `getExtCoreContextOperationThreads()`
    `int` | `getExtCoreSyncThreads()`
    `java.lang.String` | `getExtCustomDatabaseClusterConfig()`
    `int` | `getExtEventQueuesLength()`
    `int` | `getExtLowMemoryModeInThreshold()`
    `int` | `getExtLowMemoryModeOutThreshold()`
    `int` | `getExtMaxAsyncUpdateThreads()`
    `int` | `getExtMaxClientCommandThreads()`
    `int` | `getExtMaxConcurrentDispatcherThreads()`
    `int` | `getExtMaxEventQueueLength()`
    `int` | `getExtMaxSyncThreads()`
    `int` | `getExtQueryDataSources()`
    `boolean` | `getExtSyncDelay()`
    `int` | `getExtSyncTimers()`
    `int` | `getExtTrackerTimers()`
    `long` | `getHttpSessionTimeout()`
    `int` | `getNonSecureClientPort()`
    `java.lang.String` | `getPluginsAdditionalDirs()`
    `int` | `getPreviousVersion()`
    `java.lang.String` | `getServerDescription()`
    `java.lang.String` | `getServerHostName()`
    `java.lang.String` | `getServerId()`
    `java.lang.String` | `getServerIp()`
    `java.lang.String` | `getStatisticsFolder()`
    `java.lang.String` | `getTimezone()`
    `boolean` | `isClusterFailoverReadonly()`
    `boolean` | `isClusterReadOnlyFailover()`
    `boolean` | `isDatabaseCassandraUseEmbeddedService()`
    `boolean` | `isDatabaseCassandraUseYamlConfiguration()`
    `boolean` | `isDatabaseCluster()`
    `boolean` | `isDatabaseDisablePooling()`
    `boolean` | `isExtBatchPropertyLoading()`
    `boolean` | `isExtWebSocketKeepAliveDisabled()`
    `boolean` | `isFirstLaunch()`
    `boolean` | `isMaintenanceMode()`
    `boolean` | `isNonSecureClientCommunicationEnabled()`
    `boolean` | `isUsersSelfRegistration()`

- - ### Method Detail

    - #### getServerDescription

          java.lang.String getServerDescription()

    - #### isDatabaseCluster

          boolean isDatabaseCluster()

    - #### getDatabaseMinimumPoolSize

          int getDatabaseMinimumPoolSize()

    - #### getDatabaseMaximumPoolSize

          int getDatabaseMaximumPoolSize()

    - #### getDatabaseBatchSize

          int getDatabaseBatchSize()

    - #### getDatabaseCheckoutTimeout

          long getDatabaseCheckoutTimeout()

    - #### getDatabaseSessionTimeout

          long getDatabaseSessionTimeout()

    - #### isDatabaseDisablePooling

          boolean isDatabaseDisablePooling()

    - #### getDatabaseKvClusterRole

          int getDatabaseKvClusterRole()

    - #### getClusterRole

          int getClusterRole()

    - #### isClusterFailoverReadonly

          boolean isClusterFailoverReadonly()

    - #### getClusterFailureDetectionTime

          long getClusterFailureDetectionTime()

    - #### getDatabaseDriver

          java.lang.String getDatabaseDriver()

    - #### getDatabasePassword

          java.lang.String getDatabasePassword()

    - #### getDatabaseSqlDialect

          java.lang.String getDatabaseSqlDialect()

    - #### getDatabaseHbm2ddlAuto

          java.lang.String getDatabaseHbm2ddlAuto()

    - #### getDatabaseUrl

          java.lang.String getDatabaseUrl()

    - #### getDatabaseUsername

          java.lang.String getDatabaseUsername()

    - #### isFirstLaunch

          boolean isFirstLaunch()

    - #### isUsersSelfRegistration

          boolean isUsersSelfRegistration()

    - #### getConfigGuiMode

          java.lang.String getConfigGuiMode()

    - #### isMaintenanceMode

          boolean isMaintenanceMode()

    - #### getPluginsAdditionalDirs

          java.lang.String getPluginsAdditionalDirs()

    - #### getPreviousVersion

          int getPreviousVersion()

    - #### getTimezone

          java.lang.String getTimezone()

    - #### getServerIp

          java.lang.String getServerIp()

    - #### getServerHostName

          java.lang.String getServerHostName()

    - #### getStatisticsFolder

          java.lang.String getStatisticsFolder()

    - #### getClientPort

          int getClientPort()

    - #### getHttpSessionTimeout

          long getHttpSessionTimeout()

    - #### getClientEventQueueLength

          int getClientEventQueueLength()

    - #### isNonSecureClientCommunicationEnabled

          boolean isNonSecureClientCommunicationEnabled()

    - #### getNonSecureClientPort

          int getNonSecureClientPort()

    - #### isExtBatchPropertyLoading

          boolean isExtBatchPropertyLoading()

    - #### getExtSyncTimers

          int getExtSyncTimers()

    - #### getExtCoreSyncThreads

          int getExtCoreSyncThreads()

    - #### getExtMaxSyncThreads

          int getExtMaxSyncThreads()

    - #### getExtCoreContextOperationThreads

          int getExtCoreContextOperationThreads()

    - #### getExtMaxClientCommandThreads

          int getExtMaxClientCommandThreads()

    - #### getExtCoreAsyncUpdateThreads

          int getExtCoreAsyncUpdateThreads()

    - #### getExtMaxAsyncUpdateThreads

          int getExtMaxAsyncUpdateThreads()

    - #### getExtTrackerTimers

          int getExtTrackerTimers()

    - #### getExtAlertTimers

          int getExtAlertTimers()

    - #### getExtMaxEventQueueLength

          int getExtMaxEventQueueLength()

    - #### getExtEventQueuesLength

          int getExtEventQueuesLength()

    - #### getExtQueryDataSources

          int getExtQueryDataSources()

    - #### getExtCustomDatabaseClusterConfig

          java.lang.String getExtCustomDatabaseClusterConfig()

    - #### isClusterReadOnlyFailover

          boolean isClusterReadOnlyFailover()

    - #### getDatabaseKvClusterPriority

          int getDatabaseKvClusterPriority()

    - #### getDatabaseKvClusterHelperUrl

          java.lang.String getDatabaseKvClusterHelperUrl()

    - #### getDatabaseKvClusterPrimaryDbPort

          java.lang.Integer getDatabaseKvClusterPrimaryDbPort()

    - #### getDatabaseKvCacheSize

          java.lang.Integer getDatabaseKvCacheSize()

    - #### getDatabaseKvMinUtilization

          java.lang.Integer getDatabaseKvMinUtilization()

    - #### getDatabaseKvCleanerThreads

          java.lang.Integer getDatabaseKvCleanerThreads()

    - #### getDatabaseKvCleanerByteThreshold

          java.lang.Integer getDatabaseKvCleanerByteThreshold()

    - #### getDatabaseKvCleanerWakeupInterval

          java.lang.Long getDatabaseKvCleanerWakeupInterval()

    - #### getDatabaseKvTransactionsCommitInterval

          java.lang.Long getDatabaseKvTransactionsCommitInterval()

    - #### getDatabaseKvTransactionsCommitThreshold

          java.lang.Integer getDatabaseKvTransactionsCommitThreshold()

    - #### getDatabaseKvMaxReplicationMessageSize

          java.lang.Long getDatabaseKvMaxReplicationMessageSize()

    - #### getDatabaseKvCheckpointerWakeupInterval

          java.lang.Long getDatabaseKvCheckpointerWakeupInterval()

    - #### getDatabaseKvCheckpointerWriteInterval

          java.lang.Long getDatabaseKvCheckpointerWriteInterval()

    - #### getDatabaseKvFreeDisk

          java.lang.Long getDatabaseKvFreeDisk()

    - #### getDatabaseKvMaxDisk

          java.lang.Long getDatabaseKvMaxDisk()

    - #### getClusterHeartbeatHelperUrls

          java.lang.String getClusterHeartbeatHelperUrls()

    - #### getClusterHeartbeatPort

          java.lang.Integer getClusterHeartbeatPort()

    - #### getClusterHeartbeatInterfaceAddress

          java.lang.String getClusterHeartbeatInterfaceAddress()

    - #### getDatabaseReplicationFactor

          java.lang.Integer getDatabaseReplicationFactor()

    - #### getDatabaseSeeds

          java.lang.String getDatabaseSeeds()

    - #### getDatabaseConfigurationStorage

          java.lang.Integer getDatabaseConfigurationStorage()

    - #### getDatabaseEventHistoryStorage

          java.lang.Integer getDatabaseEventHistoryStorage()

    - #### getDatabaseBinaryDataStorage

          java.lang.Integer getDatabaseBinaryDataStorage()

    - #### getDatabaseCassandraNativePort

          java.lang.Integer getDatabaseCassandraNativePort()

    - #### getDatabaseCassandraConfigurationKeyspace

          java.lang.String getDatabaseCassandraConfigurationKeyspace()

    - #### getDatabaseCassandraEventHistoryKeyspace

          java.lang.String getDatabaseCassandraEventHistoryKeyspace()

    - #### getDatabaseCassandraBinaryDataKeyspace

          java.lang.String getDatabaseCassandraBinaryDataKeyspace()

    - #### getDatabaseCassandraStatisticsKeyspace

          java.lang.String getDatabaseCassandraStatisticsKeyspace()

    - #### getDatabaseCassandraInternalKeyspace

          java.lang.String getDatabaseCassandraInternalKeyspace()

    - #### getDatabaseCassandraHost

          java.lang.String getDatabaseCassandraHost()

    - #### getDatabaseCassandraStorageDirectory

          java.lang.String getDatabaseCassandraStorageDirectory()

    - #### getDatabaseCassandraBatchSize

          java.lang.Integer getDatabaseCassandraBatchSize()

    - #### getDatabaseCassandraBatchSizeThreshold

          java.lang.Integer getDatabaseCassandraBatchSizeThreshold()

    - #### getDatabaseCassandraCommitlogDirectory

          java.lang.String getDatabaseCassandraCommitlogDirectory()

    - #### getDatabaseCassandraCommitlogSize

          int getDatabaseCassandraCommitlogSize()

    - #### getDatabaseCassandraMutationSize

          int getDatabaseCassandraMutationSize()

    - #### getDatabaseCassandraCachesDirectory

          java.lang.String getDatabaseCassandraCachesDirectory()

    - #### getDatabaseCassandraUseAuthentication

          java.lang.Boolean getDatabaseCassandraUseAuthentication()

    - #### getDatabaseCassandraReadRequestTimeout

          java.lang.Integer getDatabaseCassandraReadRequestTimeout()

    - #### getDatabaseCassandraLogin

          java.lang.String getDatabaseCassandraLogin()

    - #### getDatabaseCassandraPassword

          java.lang.String getDatabaseCassandraPassword()

    - #### getExtCoreConcurrentDispatcherThreads

          int getExtCoreConcurrentDispatcherThreads()

    - #### getExtMaxConcurrentDispatcherThreads

          int getExtMaxConcurrentDispatcherThreads()

    - #### getExtConcurrentDispatcherQueueLength

          int getExtConcurrentDispatcherQueueLength()

    - #### getExtLowMemoryModeInThreshold

          int getExtLowMemoryModeInThreshold()

    - #### getExtLowMemoryModeOutThreshold

          int getExtLowMemoryModeOutThreshold()

    - #### isDatabaseCassandraUseEmbeddedService

          boolean isDatabaseCassandraUseEmbeddedService()

    - #### isDatabaseCassandraUseYamlConfiguration

          boolean isDatabaseCassandraUseYamlConfiguration()

    - #### getDatabaseCassandraConsistencyLevel

          java.lang.String getDatabaseCassandraConsistencyLevel()

    - #### getDatabaseCassandraContactPoints

          java.lang.String getDatabaseCassandraContactPoints()

    - #### getDatabaseCassandraLoadBalancing

          DataTable getDatabaseCassandraLoadBalancing()

    - #### getDatabaseCassandraReconnectionPolicy

          DataTable getDatabaseCassandraReconnectionPolicy()

    - #### getDatabaseUnreturnedConnectionTimeout

          java.lang.Long getDatabaseUnreturnedConnectionTimeout()

    - #### getDatabaseKvCheckpointerActivator

          java.lang.String getDatabaseKvCheckpointerActivator()

    - #### getDatabaseKvCleanerActivator

          java.lang.String getDatabaseKvCleanerActivator()

    - #### getDatabaseEventHistoryStoragePolicy

          java.lang.Integer getDatabaseEventHistoryStoragePolicy()

    - #### getServerId

          java.lang.String getServerId()

    - #### getCurrentVersion

          java.lang.String getCurrentVersion()

    - #### getExtSyncDelay

          boolean getExtSyncDelay()

    - #### isExtWebSocketKeepAliveDisabled

          boolean isExtWebSocketKeepAliveDisabled()